%define modname cryptography-vectors
%define pymodname cryptography_vectors

Name:               python-%{modname}
Version:            1.0.2
Release:            %mkrel 1
Summary:            Test vectors for the cryptography package

Group:              Development/Python
License:            ASL 2.0 or BSD
URL:                http://pypi.python.org/pypi/cryptography-vectors
Source0:            https://pypi.python.org/packages/source/c/%{modname}/cryptography_vectors-%{version}.tar.gz

BuildArch:          noarch
BuildRequires:      python-devel
BuildRequires:      python-setuptools

BuildRequires:      python3-devel
BuildRequires:      python3-setuptools


%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don't install it unless
you really know what you are doing.

%package -n  python3-%{modname}
Group:              Development/Python
Summary:        Test vectors for the cryptography package

%description -n python3-%{modname}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don't install it unless
you really know what you are doing.

%prep
%setup -q -n %{pymodname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%check
%{__python} setup.py test

%{__python3} setup.py test


%files
%doc LICENSE
%{python_sitelib}/%{pymodname}/
%{python_sitelib}/%{pymodname}-%{version}*


%files -n python3-%{modname}
%doc LICENSE
%{python3_sitelib}/%{pymodname}/
%{python3_sitelib}/%{pymodname}-%{version}*



%changelog
* Sat Nov 14 2015 philippem <philippem> 1.0.2-1.mga5
+ Revision: 903122
- update to 1.0.2 to fix security issue mga#17144

* Sun Mar 08 2015 philippem <philippem> 0.7.2-1.mga5
+ Revision: 818093
- imported package python-cryptography-vectors

